# Generated from cfndk-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cfndk

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: cfndk is AWS Cloud Formation Development Kit
License: http://www.apache.org/licenses/license-2.0
URL: https://github.com/Amakata/cfndk
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(aruba)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(awspec)
# BuildRequires: rubygem(parallel_tests)
BuildArch: noarch

%description
cfndk is AWS Cloud Formation Development Kit.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/cfndk
%{gem_instdir}/.circleci
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rspec_parallel
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.simplecov
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/skel
%{gem_instdir}/vagrant
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cfndk.gemspec
%doc %{gem_instdir}/docker
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.2-1
- Initial package
